<template>
	<view class="content">
		<image src="../../static/icon/logo1.png" mode="" class="logo"></image>
		<view class="btn" @click="downapp">
			APP 下载
		</view>
	</view>
</template>

<script>
	import { getVersion } from '@/api/index.js'
	export default {
		data() {
			return {
				appDown: 'https://hdxy.zjxiyi888.cn/static/app/xy.apk'
			}
		},
		onShow() {
			this.getVersion()
		},
		methods: {
			downapp() {
				window.open(this.appDown)
			},
			getVersion() {
				getVersion().then(res => {
					// console.log(res.data.app_down);
					this.appDown = res.data.app_down
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	page {
		// background: linear-gradient(to bottom,#3a79f7 10%,#fff 50%,#fff,#fff 60%,#3a79f7);
		height: auto;
		min-height: 100%;
		background-color: #FFFFFF;
	}
	.content {
		position: absolute;
		height: 100%;
		width: 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}
	.logo {
		width: 314rpx;
		height: 300rpx;
	}
	.btn {
		width: 300rpx;
		line-height: 70rpx;
		background: #FFFFFF;
		border-radius: 10rpx;
		margin-top: 50rpx;
		text-align: center;
		background-color: $base-color;
		color: #fff;
		margin-top: 300rpx;
	}
</style>